package com.pavelpetkevich.bcwork.activity;

import android.os.Bundle;
import android.support.design.widget.CollapsingToolbarLayout;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.pavelpetkevich.bcwork.R;
import com.squareup.picasso.Picasso;

import butterknife.BindView;
import butterknife.ButterKnife;

public class DetailPlaceActivity extends AppCompatActivity implements View.OnClickListener {

    @BindView(R.id.place_detail)
    TextView placeDetail;
    @BindView(R.id.place_location)
    TextView placeLocation;
    @BindView(R.id.image)
    ImageView placePicture;

    private CollapsingToolbarLayout collapsingToolbar;
    private Toolbar toolbar;


    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_detail_place);
        ButterKnife.bind(this);
        collapsingToolbar = findViewById(R.id.collapsing_toolbar);
        toolbar = findViewById(R.id.toolbar);
        setToolBar();
        setContentView();
    }

    @Override
    public void onClick(View view) {
        onBackPressed();
    }

    /**
     * Set content view from extras
     */
    private void setContentView() {
        if (getIntent().getExtras() != null) {
            collapsingToolbar.setTitle(getIntent().getExtras().getString("title"));
            placeDetail.setText(getIntent().getExtras().getString("longDescription"));
            placeLocation.setText(getIntent().getExtras().getString("location"));
            Picasso.with(this).load(getIntent().getExtras().getString("placePicture"))
                    .placeholder(R.drawable.loading).error(R.drawable.something_wrong).into(placePicture);
        }
    }

    /**
     * Set toolbar and navigation icon
     */
    private void setToolBar() {
        setSupportActionBar(toolbar);
        if (toolbar != null) {
            toolbar.setNavigationIcon(R.drawable.ic_arrow_back);
            toolbar.setNavigationOnClickListener(this);
        }
    }

}