package com.pavelpetkevich.bcwork.activity;

import android.os.Bundle;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;

import com.pavelpetkevich.bcwork.R;
import com.pavelpetkevich.bcwork.fragment.HistoryFragment;

import butterknife.BindView;
import butterknife.ButterKnife;

public class FavoriteTripActivity extends AppCompatActivity implements View.OnClickListener {

    @BindView(R.id.appToolbarMain)
    Toolbar appToolbar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_favorite_trip);
        ButterKnife.bind(this);
        setSupportActionBar(appToolbar);
        appToolbar.setNavigationIcon(R.drawable.ic_arrow_back);
        appToolbar.setNavigationOnClickListener(this);
        callStaredHistory();
    }


    private void callStaredHistory() {
        FragmentManager fragmentManager = getSupportFragmentManager();
        FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
        HistoryFragment historyFragment = new HistoryFragment();
        Bundle bundle = new Bundle();
        bundle.putBoolean("historyFragment", true);
        historyFragment.setArguments(bundle);
        fragmentTransaction.replace(R.id.contentFavorite, historyFragment);
        fragmentTransaction.commit();
    }

    @Override
    public void onBackPressed() {
        super.onBackPressed();
        overridePendingTransition(R.anim.enter, R.anim.exit);
    }

    @Override
    public void onClick(View v) {
        onBackPressed();
    }



}
