package com.pavelpetkevich.bcwork.googleMapsApi.data;

import android.os.Parcel;
import android.os.Parcelable;

import com.google.android.gms.maps.model.LatLng;

/**
 * Created by pavelpetkevich on 25/10/2017.
 */

public class CountryOnWay implements Parcelable {
    private int id;
    private LatLng countryBoardStart;
    private String distance, comment, country, toll_cost, fuel_cost;


    public CountryOnWay(int id, String country, LatLng countryBoardStart, String distance, String comment, String toll_cost, String fuel_cost) {
        this.id = id;
        this.country = country;
        this.countryBoardStart = countryBoardStart;
        this.distance = distance;
        this.comment = comment;
        this.toll_cost = toll_cost;
        this.fuel_cost = fuel_cost;
    }


    protected CountryOnWay(Parcel in) {
        id = in.readInt();
        country = in.readString();
        countryBoardStart = in.readParcelable(LatLng.class.getClassLoader());
        distance = in.readString();
        comment = in.readString();
        toll_cost = in.readString();
        fuel_cost = in.readString();
    }

    public static final Creator<CountryOnWay> CREATOR = new Creator<CountryOnWay>() {
        @Override
        public CountryOnWay createFromParcel(Parcel in) {
            return new CountryOnWay(in);
        }

        @Override
        public CountryOnWay[] newArray(int size) {
            return new CountryOnWay[size];
        }
    };

    public int getId() {
        return id;
    }

    public String getCountry() {
        return country;
    }

    public LatLng getCountryBoardStart() {
        return countryBoardStart;
    }

    public String getDistance() {
        return distance;
    }

    public String getComment() {
        return comment;
    }

    public String getToll_cost() {
        return toll_cost;
    }

    public String getFuel_cost() {
        return fuel_cost;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public void setToll_cost(String toll_cost) {
        this.toll_cost = toll_cost;
    }

    public void setFuel_cost(String fuel_cost) {
        this.fuel_cost = fuel_cost;
    }


    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(id);
        dest.writeString(country);
        dest.writeParcelable(countryBoardStart, flags);
        dest.writeString(distance);
        dest.writeString(comment);
        dest.writeString(toll_cost);
        dest.writeString(fuel_cost);
    }
}
