package com.pavelpetkevich.bcwork.service;

import android.content.Context;
import android.location.LocationManager;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

/**
 * Created by pavelpetkevich on 18/11/2017.
 */

public class ControlServices {

    /**
     * This method is for control state of Network Service.
     *
     * @return true if state of Network Service is connected.
     */
    public static boolean controlNetworkStateService(Context context) {
        boolean connect = false;
        if (context != null) {
            ConnectivityManager conMgr = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
            assert conMgr != null;
            NetworkInfo i = conMgr.getActiveNetworkInfo();
            //Control if internet is enable
            connect = i != null && i.isConnected() && i.isAvailable();
        }
        return connect;
    }

    /**
     * This method is for control GPS Provider Service.
     *
     * @return true if GPS Provider is enabled.
     */
    public static boolean controlGpsProviderServiceIsAvailable(Context context) {
        LocationManager ln = (LocationManager) context.getSystemService(Context.LOCATION_SERVICE);
        //Control if locationSettings is enable
        assert ln != null;
        return ln.isProviderEnabled(LocationManager.GPS_PROVIDER);
    }

}
